InquiryPriceModifyEipBandwidth
1. API Description
This API (InquiryPriceModifyEipBandwidth) is used to inquire the price after adjusting the EIP bandwidth. The currently effective price of each billing item before the change is also returned through previousPrices, so that you can compare which billing items have price changes.
2. Input Parameters
The following request parameter list only provides API request parameters.
bandwidth
Yes
Integer
Bandwidth limit after adjustment.
Unit: Mbps.
Value range: [1, +)
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
bandwidthPrice
Bandwidth price for the elastic IP.
Null for the PathBasedBandwidthIP line type; see bandwidthPrices for details.
bandwidthPrices
Array of BandwidthPriceResponseItem
Bandwidth price details for each traffic direction.
Multiple items are returned for the PathBasedBandwidthIP line type; a single item (trafficType=ALL) is returned for other line types.
remoteBandwidthPrice
Bandwidth price for Remote IPT.
Null when Remote IPT is not enabled for the EIP.
previousPrices
Currently effective price of each billing item before the change. The fields correspond one by one to those above and are used to compare which billing items have price changes.
It is null when there is no order.
4. Code Example
Inquire the price after adjusting the EIP bandwidth to 20 Mbps.
5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_EIP_NOT_FOUND
Elastic IP does not exist.
500
OPERATION_DENIED_EIP_STATUS_NOT_SUPPORT
Operations on the EIP with current status are not supported.
400
OPERATION_DENIED_INTERNET_CHARGE_TYPE_NOT_SUPPORT
IP network billing type is not supported.
400
OPERATION_DENIED_EIP_UNSUPPORTED_INTERNET_CHARGE_TYPE
The target network billing method is not supported.
400
INVALID_PARAMETER_BANDWIDTH_EXCEED
Bandwidth size exceeds the upper limit.
Last updated